osmith has posted comments on this change by osmith. ( https://gerrit.osmocom.org/c/docker-playground/+/42136?usp=email )
Change subject: common/wrapper_core_bt_on_error: import
......................................................................
Set Ready For Review
--
To view, visit https://gerrit.osmocom.org/c/docker-playground/+/42136?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: docker-playground
Gerrit-Branch: master
Gerrit-Change-Id: I773ff8b8c07c96e1b5b417fa28518ac7dc2e14ec
Gerrit-Change-Number: 42136
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Comment-Date: Tue, 17 Feb 2026 13:28:31 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: No
osmith has uploaded this change for review. ( https://gerrit.osmocom.org/c/docker-playground/+/42137?usp=email )
Change subject: ttcn3-asterisk-ims-ue-test: show trace on coredump
......................................................................
ttcn3-asterisk-ims-ue-test: show trace on coredump
Use wrapper_core_bt_on_error.sh to show a backtrace in case asterisk
crashes and a coredump is generated. Set CWD to /data, so the core and
core.backtrace files end up in the jenkins artifacts.
The result looks like this (forced a segfault in main() to test this):
$ cat asterisk-ipv4/core.backtrace
[New LWP 18]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Core was generated by `/usr/sbin/asterisk -C /etc/asterisk/asterisk.conf -f -g -vvvvv -ddddd'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0 0x000073908c476ffb in ?? () from /lib/x86_64-linux-gnu/libc.so.6
#0 0x000073908c476ffb in ?? () from /lib/x86_64-linux-gnu/libc.so.6
#1 0x00005ba2677294dc in memset (__dest=0x0, __ch=1, __len=1) at /usr/include/x86_64-linux-gnu/bits/string_fortified.h:59
#2 main (argc=<optimized out>, argv=0x7fff865fdd28) at asterisk.c:3839
Change-Id: Iee22cbeaa2b2c136c789afc3ebd3ec1be10a6ac7
---
M asterisk-master/Dockerfile
M ttcn3-asterisk-ims-ue-test/asterisk/asterisk.sh
M ttcn3-asterisk-ims-ue-test/jenkins.sh
3 files changed, 7 insertions(+), 1 deletion(-)
git pull ssh://gerrit.osmocom.org:29418/docker-playground refs/changes/37/42137/1
diff --git a/asterisk-master/Dockerfile b/asterisk-master/Dockerfile
index 55734ba..ad8c925 100644
--- a/asterisk-master/Dockerfile
+++ b/asterisk-master/Dockerfile
@@ -89,3 +89,7 @@
RUN cd asterisk/codec_server && \
make "-j$(nproc)" && \
cp cserver /usr/bin/cserver
+
+COPY --chmod=755 \
+ .common/wrapper_core_bt_on_error.sh \
+ /usr/bin/wrapper_core_bt_on_error.sh
diff --git a/ttcn3-asterisk-ims-ue-test/asterisk/asterisk.sh b/ttcn3-asterisk-ims-ue-test/asterisk/asterisk.sh
index 4dbbe93..7ca62be 100755
--- a/ttcn3-asterisk-ims-ue-test/asterisk/asterisk.sh
+++ b/ttcn3-asterisk-ims-ue-test/asterisk/asterisk.sh
@@ -35,4 +35,5 @@
sleep 1
done
-/usr/sbin/asterisk -C "${ASTERISK_CFG_PATH}/asterisk.conf" -f -g -vvvvv -ddddd
+wrapper_core_bt_on_error.sh \
+ /usr/sbin/asterisk -C "${ASTERISK_CFG_PATH}/asterisk.conf" -f -g -vvvvv -ddddd
diff --git a/ttcn3-asterisk-ims-ue-test/jenkins.sh b/ttcn3-asterisk-ims-ue-test/jenkins.sh
index 0707cb9..7e6a232 100755
--- a/ttcn3-asterisk-ims-ue-test/jenkins.sh
+++ b/ttcn3-asterisk-ims-ue-test/jenkins.sh
@@ -57,6 +57,7 @@
-e "DNS_IPADDR=${DNS_IPADDR}" \
--ulimit core=-1 \
-v "$VOL_BASE_DIR/asterisk-${test_config}:/data" \
+ -w /data \
--name "${BUILD_TAG}-asterisk" -d \
$DOCKER_ARGS \
"$REPO_USER/asterisk-$IMAGE_SUFFIX" \
--
To view, visit https://gerrit.osmocom.org/c/docker-playground/+/42137?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newchange
Gerrit-Project: docker-playground
Gerrit-Branch: master
Gerrit-Change-Id: Iee22cbeaa2b2c136c789afc3ebd3ec1be10a6ac7
Gerrit-Change-Number: 42137
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
osmith has uploaded this change for review. ( https://gerrit.osmocom.org/c/docker-playground/+/42136?usp=email )
Change subject: common/wrapper_core_bt_on_error: import
......................................................................
common/wrapper_core_bt_on_error: import
Import this script from osmo-ci dfa9fcca
("scripts/wrapper_core_bt_on_error: new script"), so it can be used in
ttcn3-asterisk-ims-ue-test in a follow-up patch.
Change-Id: I773ff8b8c07c96e1b5b417fa28518ac7dc2e14ec
---
A common/wrapper_core_bt_on_error.sh
1 file changed, 38 insertions(+), 0 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/docker-playground refs/changes/36/42136/1
diff --git a/common/wrapper_core_bt_on_error.sh b/common/wrapper_core_bt_on_error.sh
new file mode 100755
index 0000000..ca1eaef
--- /dev/null
+++ b/common/wrapper_core_bt_on_error.sh
@@ -0,0 +1,38 @@
+#!/bin/sh
+# Copyright 2025 sysmocom - s.f.m.c. GmbH
+# SPDX-License-Identifier: GPL-3.0-or-later
+# Run a program and check for coredumps if it does not exit with 0. If there
+# are any coredumps, then show the backtrace.
+msg() {
+ echo "[wrapper_core_bt_on_error] $@"
+}
+
+if [ $# -lt 1 ]; then
+ echo "usage: wrapper_core_bt_on_error.sh PROGRAM [ARG1 [ARG2 […]]]"
+ exit 1
+fi
+
+ulimit -c unlimited
+
+"$@"
+RC=$?
+
+if [ "$RC" != 0 ]; then
+ for i in $(find -name 'core' -type f); do
+ msg "Found coredump: $i"
+ execfn="$(file "$i" | grep -P -o "execfn: '.*?'" | cut -d "'" -f 2)"
+ if [ -z "$execfn" ] || ! [ -e "$execfn" ]; then
+ msg "Failed to get execfn, ignoring..."
+ continue
+ fi
+
+ echo
+ gdb --batch \
+ "$execfn" \
+ "$i" \
+ -ex bt \
+ | tee "$i.backtrace"
+ echo
+ done
+ exit $RC
+fi
--
To view, visit https://gerrit.osmocom.org/c/docker-playground/+/42136?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newchange
Gerrit-Project: docker-playground
Gerrit-Branch: master
Gerrit-Change-Id: I773ff8b8c07c96e1b5b417fa28518ac7dc2e14ec
Gerrit-Change-Number: 42136
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Attention is currently required from: lynxis lazus.
pespin has posted comments on this change by lynxis lazus. ( https://gerrit.osmocom.org/c/osmo-remsim/+/42133?usp=email )
Change subject: rspro_server: fix releasing timed out clients
......................................................................
Patch Set 1:
(1 comment)
File src/server/rspro_server.c:
https://gerrit.osmocom.org/c/osmo-remsim/+/42133/comment/33a52291_8cd4f87d?… :
PS1, Line 923: /* this will internally call closed_cb() which will dispatch a TCP_DOWN event */
> This is your comment which would set it to NULL
With your proposal you'll end up with a double free of the osmo_stream_srv afaict, from the parent talloc_free(conn) at the end of this function, and from within osmo_stream_srv_destroy() after closed_cb returns.
--
To view, visit https://gerrit.osmocom.org/c/osmo-remsim/+/42133?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmo-remsim
Gerrit-Branch: master
Gerrit-Change-Id: I1f7faf5ffdd909362c492ab434b63fa7e79ada95
Gerrit-Change-Number: 42133
Gerrit-PatchSet: 1
Gerrit-Owner: lynxis lazus <lynxis(a)fe80.eu>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: lynxis lazus <lynxis(a)fe80.eu>
Gerrit-Comment-Date: Tue, 17 Feb 2026 11:32:56 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Comment-In-Reply-To: lynxis lazus <lynxis(a)fe80.eu>
lynxis lazus has posted comments on this change by lynxis lazus. ( https://gerrit.osmocom.org/c/osmo-remsim/+/42133?usp=email )
Change subject: rspro_server: fix releasing timed out clients
......................................................................
Patch Set 1:
(1 comment)
File src/server/rspro_server.c:
https://gerrit.osmocom.org/c/osmo-remsim/+/42133/comment/b6cba27c_1fe94147?… :
PS1, Line 923: /* this will internally call closed_cb() which will dispatch a TCP_DOWN event */
This is your comment which would set it to NULL
--
To view, visit https://gerrit.osmocom.org/c/osmo-remsim/+/42133?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmo-remsim
Gerrit-Branch: master
Gerrit-Change-Id: I1f7faf5ffdd909362c492ab434b63fa7e79ada95
Gerrit-Change-Number: 42133
Gerrit-PatchSet: 1
Gerrit-Owner: lynxis lazus <lynxis(a)fe80.eu>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Comment-Date: Tue, 17 Feb 2026 11:03:25 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Attention is currently required from: lynxis lazus.
pespin has posted comments on this change by lynxis lazus. ( https://gerrit.osmocom.org/c/osmo-remsim/+/42133?usp=email )
Change subject: rspro_server: fix releasing timed out clients
......................................................................
Patch Set 1: Code-Review-1
(2 comments)
File src/server/rspro_server.c:
https://gerrit.osmocom.org/c/osmo-remsim/+/42133/comment/37bbf8b4_f8a3fae8?… :
PS1, Line 926: osmo_stream_srv_destroy(peer);
osmo_stream_srv_destroy(conn->peer) calls talloc_free(conn->peer), so it totally makes sense to do conn->peer here in order to avoid double free.
https://gerrit.osmocom.org/c/osmo-remsim/+/42133/comment/71677556_b7179cb8?… :
PS1, Line 938:
if (conn->fi) {
osmo_fsm_inst_free(conn->fi);
conn->fi = NULL;
}
--
To view, visit https://gerrit.osmocom.org/c/osmo-remsim/+/42133?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmo-remsim
Gerrit-Branch: master
Gerrit-Change-Id: I1f7faf5ffdd909362c492ab434b63fa7e79ada95
Gerrit-Change-Number: 42133
Gerrit-PatchSet: 1
Gerrit-Owner: lynxis lazus <lynxis(a)fe80.eu>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: lynxis lazus <lynxis(a)fe80.eu>
Gerrit-Comment-Date: Tue, 17 Feb 2026 10:57:29 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: Yes
daniel has abandoned this change. ( https://gerrit.osmocom.org/c/libosmo-sigtran/+/41509?usp=email )
Change subject: Avoid removing ASP from all AS during osmo_ss7_as_del_asp()
......................................................................
Abandoned
--
To view, visit https://gerrit.osmocom.org/c/libosmo-sigtran/+/41509?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: abandon
Gerrit-Project: libosmo-sigtran
Gerrit-Branch: master
Gerrit-Change-Id: I37093f5a2fae17a6ef117ac880436bb813bcb2b1
Gerrit-Change-Number: 41509
Gerrit-PatchSet: 1
Gerrit-Owner: daniel <dwillmann(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-CC: pespin <pespin(a)sysmocom.de>
Attention is currently required from: daniel.
pespin has posted comments on this change by daniel. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/42135?usp=email )
Change subject: Fix/change TC_tcap_loadshare_ipa_tcap_udts()
......................................................................
Patch Set 1:
(1 comment)
File stp/STP_Tests_TCAP.ttcn:
https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/42135/comment/564a04fd_9ac7… :
PS1, Line 663: /* TODO: Get the asp_idx of the received message to verify related
AFAIU, from tcap_configs above, you have 2 possible ASPs where it can be recieved, so it should be fairy simple to alt-receive on any of the 2 and store the idx and use it.
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/42135?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: Ibffa98702fd6eb276410630ab525d986fa0f36e0
Gerrit-Change-Number: 42135
Gerrit-PatchSet: 1
Gerrit-Owner: daniel <dwillmann(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-CC: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: daniel <dwillmann(a)sysmocom.de>
Gerrit-Comment-Date: Tue, 17 Feb 2026 09:23:55 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
laforge has submitted this change. ( https://gerrit.osmocom.org/c/pysim/+/42077?usp=email )
Change subject: pySim-shell_test/euicc: ensure test-profile is enabled
......................................................................
pySim-shell_test/euicc: ensure test-profile is enabled
When testing commands like get_profile_info, enable_profile,
disable_profile or the commands to manage notifications, we
should ensure that the correct profile is enabled before
executing the actual testcase.
Change-Id: Ie57b0305876bc5001ab3a9c3a3b5711408161b74
---
M tests/pySim-shell_test/euicc/test_enable_disable_profile.script
M tests/pySim-shell_test/euicc/test_gen_notif.script
M tests/pySim-shell_test/euicc/test_get_profiles_info.script
3 files changed, 13 insertions(+), 0 deletions(-)
Approvals:
laforge: Looks good to me, approved
Jenkins Builder: Verified
diff --git a/tests/pySim-shell_test/euicc/test_enable_disable_profile.script b/tests/pySim-shell_test/euicc/test_enable_disable_profile.script
index 2efbf6e..f56f1d4 100644
--- a/tests/pySim-shell_test/euicc/test_enable_disable_profile.script
+++ b/tests/pySim-shell_test/euicc/test_enable_disable_profile.script
@@ -3,6 +3,9 @@
select ADF.ISD-R
+# Ensure that the test-profile we intend to test with is actually enabled
+enable_profile --iccid 89000123456789012341
+
# by ICCID (pre-installed test profile on sysmoEUICC1-C2T)
disable_profile --iccid 89000123456789012341 > enable_disable_profile.tmp
enable_profile --iccid 89000123456789012341 >> enable_disable_profile.tmp
diff --git a/tests/pySim-shell_test/euicc/test_gen_notif.script b/tests/pySim-shell_test/euicc/test_gen_notif.script
index feb7ef2..a7dc63c 100644
--- a/tests/pySim-shell_test/euicc/test_gen_notif.script
+++ b/tests/pySim-shell_test/euicc/test_gen_notif.script
@@ -3,6 +3,11 @@
select ADF.ISD-R
+# Ensure that the test-profile is actually enabled. (In case te test-profile
+# was disabled, a notification may be generated. The testcase should tolerate
+# that)
+enable_profile --iccid 89000123456789012341
+
# Generate two (additional) notifications by quickly enabeling the test profile
enable_profile --iccid 8949449999999990031
enable_profile --iccid 89000123456789012341
diff --git a/tests/pySim-shell_test/euicc/test_get_profiles_info.script b/tests/pySim-shell_test/euicc/test_get_profiles_info.script
index 352be7a..668f7eb 100644
--- a/tests/pySim-shell_test/euicc/test_get_profiles_info.script
+++ b/tests/pySim-shell_test/euicc/test_get_profiles_info.script
@@ -1,5 +1,10 @@
set debug true
set echo true
+# The output of get_profiles_info will also include the "profile_state", which
+# can be either "enabled" or "disabled". Ensure that the correct profile is
+# enabled.
+enable_profile --iccid 89000123456789012341
+
select ADF.ISD-R
get_profiles_info > get_profiles_info.tmp
--
To view, visit https://gerrit.osmocom.org/c/pysim/+/42077?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: merged
Gerrit-Project: pysim
Gerrit-Branch: master
Gerrit-Change-Id: Ie57b0305876bc5001ab3a9c3a3b5711408161b74
Gerrit-Change-Number: 42077
Gerrit-PatchSet: 6
Gerrit-Owner: dexter <pmaier(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: lynxis lazus <lynxis(a)fe80.eu>